Карточка клиента CRM
/api/v1/developer/crm/clients/{clientId}Возвращает одного клиента и его минимизированные канальные идентичности без внутренних tenant-фактов.
Право доступаcrm.clients.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
clientIdобязательно · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Примеры запроса
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/clients/CLIENT_ID' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Exact project CRM client
application/jsonobject
idобязательно- stringminLength: 1 · maxLength: 160
displayNameобязательно- stringminLength: 1
statusобязательно- stringenum: ["active","archived"]
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
channelsобязательно- array
Вложенная схема
arrayobjectproviderTypeобязательно- stringminLength: 1
externalIdобязательно- stringminLength: 1
displayNameобязательно- stringminLength: 1
JSON Schema
{ "type": "object", "properties": { "providerType": { "type": "string", "minLength": 1 }, "externalId": { "type": "string", "minLength": 1 }, "displayName": { "type": "string", "minLength": 1 } }, "required": [ "providerType", "externalId", "displayName" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "providerType": { "type": "string", "minLength": 1 }, "externalId": { "type": "string", "minLength": 1 }, "displayName": { "type": "string", "minLength": 1 } }, "required": [ "providerType", "externalId", "displayName" ] } }
JSON Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"displayName": {
"type": "string",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"active",
"archived"
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"channels": {
"type": "array",
"items": {
"type": "object",
"properties": {
"providerType": {
"type": "string",
"minLength": 1
},
"externalId": {
"type": "string",
"minLength": 1
},
"displayName": {
"type": "string",
"minLength": 1
}
},
"required": [
"providerType",
"externalId",
"displayName"
]
}
}
},
"required": [
"id",
"displayName",
"status",
"createdAt",
"updatedAt",
"channels"
],
"$ref": "#/components/schemas/DeveloperCrmClientDetailResponse"
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM client not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}